From 6d9dfa005de631fe569eceb9478c2bae316e2926 Mon Sep 17 00:00:00 2001
From: David Malcolm <dmalcolm@redhat.com>
Date: Tue, 4 Aug 2020 14:01:13 -0400
Subject: [PATCH 10/18] FIXME: delete old impl

---
 gcc/analyzer/analyzer.h            |   18 -
 gcc/analyzer/checker-path.cc       |  104 -
 gcc/analyzer/checker-path.h        |   43 -
 gcc/analyzer/constraint-manager.cc | 2198 -------
 gcc/analyzer/constraint-manager.h  |  222 -
 gcc/analyzer/diagnostic-manager.cc |  477 +-
 gcc/analyzer/engine.cc             | 1200 +---
 gcc/analyzer/exploded-graph.h      |  108 +-
 gcc/analyzer/program-state.cc      | 1179 +---
 gcc/analyzer/program-state.h       |  217 +-
 gcc/analyzer/region-model.cc       | 8675 +---------------------------
 gcc/analyzer/region-model.h        | 1866 ------
 gcc/analyzer/sm-signal.cc          |   34 +-
 13 files changed, 176 insertions(+), 16165 deletions(-)

diff --git a/gcc/analyzer/analyzer.h b/gcc/analyzer/analyzer.h
index 6d92ce39617..4a1bbf066b7 100644
--- a/gcc/analyzer/analyzer.h
+++ b/gcc/analyzer/analyzer.h
@@ -39,24 +39,6 @@ class superedge;
   class callgraph_superedge;
     class call_superedge;
     class return_superedge;
-class svalue;
-  class region_svalue;
-  class constant_svalue;
-  class poisoned_svalue;
-  class unknown_svalue;
-  class setjmp_svalue;
-class region;
-  class map_region;
-  class array_region;
-  class symbolic_region;
-class region_model;
-class region_model_context;
-  class impl_region_model_context;
-class constraint_manager;
-class equiv_class;
-struct model_merger;
-struct svalue_id_merger_mapping;
-struct canonicalization;
 
 class svalue2;
   class region_svalue2;
diff --git a/gcc/analyzer/checker-path.cc b/gcc/analyzer/checker-path.cc
index bcdf4d9b4ed..da01d39cd0a 100644
--- a/gcc/analyzer/checker-path.cc
+++ b/gcc/analyzer/checker-path.cc
@@ -208,110 +208,6 @@ function_entry_event::get_desc (bool can_colorize) const
   return make_label_text (can_colorize, "entry to %qE", m_fndecl);
 }
 
-/* class state_change_event : public checker_event.  */
-
-/* state_change_event's ctor.  */
-
-state_change_event::state_change_event (const supernode *node,
-					const gimple *stmt,
-					int stack_depth,
-					const state_machine &sm,
-					tree var,
-					state_machine::state_t from,
-					state_machine::state_t to,
-					tree origin,
-					const program_state &dst_state)
-: base_state_change_event (EK_STATE_CHANGE,
-			   stmt->location, node->m_fun->decl,
-			   stack_depth),
-  m_node (node), m_stmt (stmt), m_sm (sm),
-  m_var (var), m_from (from), m_to (to),
-  m_origin (origin),
-  m_dst_state (dst_state)
-{
-}
-
-/* Implementation of diagnostic_event::get_desc vfunc for
-   state_change_event.
-
-   Attempt to generate a nicer human-readable description.
-   For greatest precision-of-wording, give the pending diagnostic
-   a chance to describe this state change (in terms of the
-   diagnostic).
-   Note that we only have a pending_diagnostic set on the event once
-   the diagnostic is about to being emitted, so the description for
-   an event can change.  */
-
-label_text
-state_change_event::get_desc (bool can_colorize) const
-{
-  if (m_pending_diagnostic)
-    {
-      label_text custom_desc
-	= m_pending_diagnostic->describe_state_change
-	    (evdesc::state_change (can_colorize, m_var, m_origin,
-				   m_from, m_to, m_emission_id, *this));
-      if (custom_desc.m_buffer)
-	{
-	  if (flag_analyzer_verbose_state_changes)
-	    {
-	      /* Append debug version.  */
-	      label_text result;
-	      if (m_origin)
-		result = make_label_text
-		  (can_colorize,
-		   "%s (state of %qE: %qs -> %qs, origin: %qE)",
-		   custom_desc.m_buffer,
-		   m_var,
-		   m_sm.get_state_name (m_from),
-		   m_sm.get_state_name (m_to),
-		   m_origin);
-	      else
-		result = make_label_text
-		  (can_colorize,
-		   "%s (state of %qE: %qs -> %qs, origin: NULL)",
-		   custom_desc.m_buffer,
-		   m_var,
-		   m_sm.get_state_name (m_from),
-		   m_sm.get_state_name (m_to));
-	      custom_desc.maybe_free ();
-	      return result;
-	    }
-	  else
-	    return custom_desc;
-	}
-    }
-
-  /* Fallback description.  */
-  if (m_var)
-    {
-      if (m_origin)
-	return make_label_text
-	  (can_colorize,
-	   "state of %qE: %qs -> %qs (origin: %qE)",
-	   m_var,
-	   m_sm.get_state_name (m_from),
-	   m_sm.get_state_name (m_to),
-	   m_origin);
-      else
-	return make_label_text
-	  (can_colorize,
-	   "state of %qE: %qs -> %qs (origin: NULL)",
-	   m_var,
-	   m_sm.get_state_name (m_from),
-	   m_sm.get_state_name (m_to));
-    }
-  else
-    {
-      gcc_assert (m_origin == NULL_TREE);
-      return make_label_text
-	(can_colorize,
-	 "global state: %qs -> %qs",
-	 m_sm.get_state_name (m_from),
-	 m_sm.get_state_name (m_to));
-    }
-}
-
 /* class state_change2_event : public checker_event.  */
 
 /* state_change2_event's ctor.  */
diff --git a/gcc/analyzer/checker-path.h b/gcc/analyzer/checker-path.h
index 46b398729f7..a8fa5147109 100644
--- a/gcc/analyzer/checker-path.h
+++ b/gcc/analyzer/checker-path.h
@@ -206,49 +206,6 @@ protected:
 
 /* Subclass of checker_event describing a state change.  */
 
-class state_change_event : public base_state_change_event
-{
-public:
-  state_change_event (const supernode *node, const gimple *stmt,
-		      int stack_depth,
-		      const state_machine &sm,
-		      tree var,
-		      state_machine::state_t from,
-		      state_machine::state_t to,
-		      tree origin,
-		      const program_state &dst_state);
-
-  label_text get_desc (bool can_colorize) const FINAL OVERRIDE;
-
-  region_id get_lvalue (tree expr, region_model_context *ctxt) const
-  {
-    gcc_assert (m_dst_state.m_region_model);
-    return m_dst_state.m_region_model->get_lvalue (expr, ctxt);
-  }
-
-  const region2* get_lvalue2 (tree expr, region_model2_context *ctxt) const
-  {
-    gcc_assert (m_dst_state.m_region_model2);
-    return m_dst_state.m_region_model2->get_lvalue (expr, ctxt);
-  }
-
-  function *get_dest_function () const
-  {
-    return m_dst_state.get_current_function ();
-  }
-
-  const supernode *m_node;
-  const gimple *m_stmt;
-  const state_machine &m_sm;
-  tree m_var;
-  state_machine::state_t m_from;
-  state_machine::state_t m_to;
-  tree m_origin;
-  program_state m_dst_state;
-};
-
-/* Subclass of checker_event describing a state change.  */
-
 class state_change2_event : public base_state_change_event
 {
 public:
